
#include "hmg.ch"
#include "BoxLetterShoW.ch"
#include "customers.prg"
#include "about.prg"
#include "calendar.prg"

  Function Main()
 
  REQUEST DBFCDX , DBFFPT , DBFDBT
  RDDSETDEFAULT( "DBFCDX" )

  REQUEST HB_CODEPAGE_ESWIN     
  HB_SETCODEPAGE("ESWIN")    
 
  REQUEST HB_LANG_ES   
  HB_LANGSELECT("ES")  

  SET CENTURY ON 
  SET DATE FRENCH 
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET EPOCH TO 2000
  SET ESCAPE ON
  SET DELETED ON 
  SET NAVIGATION EXTENDED
  SET BROWSESYNC ON

*-----------------------------------------------------------------*
 Public nCtEfeito    := 0
 Public nCt          := 1
 Public cDescEfeito  := ""
 Public ficher , cFileD
*-----------------------------------------------------------------*

 SET TOOLTIPSTYLE BALLOON
// this follow rows is required ONLY for HMG Minigui compatibility
#ifdef __MINGW32__
   SET TOOLTIPBACKCOLOR { 193, 224, 255 } 
   SET TOOLTIPFORECOLOR { 000, 000, 000 }
#endi
*-----------------------------------------------------------------*

   DEFINE WINDOW Form_1    ;
      AT 0,0               ;
      WIDTH 1200           ;              
      HEIGHT 725           ;
      ICON 'Logo.ico'      ; 
      BACKCOLOR { 250, 250, 250 } ; 
      NOMAXIMIZE NOMINIMIZE NOSYSMENU ;
      NOCAPTION NOSIZE TOPMOST   ;
      MAIN                 ;
      ON INIT OpenTables() ;
      ON RELEASE CloseTable()    
                  
      ON KEY ESCAPE ACTION Form_1.Release   

      BoxShadow(004, 004, 1194, 720 ,"00qa" ,"00qe",  250, 250, 250  )  

                      Form_1.Label_00qa.Enabled := .F.    // <---- Necessary with Texbox (write)  
                      Form_1.Label_00qe.Enabled := .F.    // <---- Necessary with Texbox (write) 
    
       DEFINE IMAGE Fondo_1  
           ROW 005 ; COL 005 ; WIDTH 1184 ; HEIGHT 710           //  ; WIDTH 1200 ; HEIGHT 727
           PICTURE 'resource\Fondo.jpg'             
           STRETCH .T.
       END IMAGE

    
*----------------------------------------  Presentacin ------------------------------------------------------*
*------------------------------    Rutina cedida por Lucho Miranda   ElSalnes@telefonica.net -----------------*
*---------------------------------------- BoxShadow Presentation ---------------------------------------------*
  
          BoxShadow( 035,265, 650, 109 ,"00" ,"01", 023,101,012 )  

          BoxShadow( 046,285, 325, 064 ,"02" ,"03", 202,254,255 )  

          LetterShadow( 048, 318,"04"  ,"05","Expert Designers",22, 100,135,255 ) 
                                                   
          LetterShadow( 078, 386,"06"  ,"07","consulting",13, 100,135,255 ) 

          LetterShadow( 059, 638,"08"  ,"09","Web Design Experts",20, 255,234,000 )  
                 
          LabelBox( 110, 360, 245, 020 ,"10","Copyright   All rights reserved", 9 ,.T.,.T., 100,009,000 , 255,170,221 )  

          LabelBox( 097, 645, 245, 020 ,"11","mustalopez@gmail.com - Mustafa Lpez", 9 ,.T.,.T., 100,009,000 , 255,170,221 )  

*-------------------------------------------------------------------------------------------------------------*
*------------------------------------------ End Presentation -------------------------------------------------*
*-------------------------------------------------------------------------------------------------------------*
      
     @ 310,1003 LABEL Label_1 VALUE "" WIDTH 140 HEIGHT 043 ACTION ( CUSTOMERS() , ANULAR_LABELBUTOO() ) TOOLTIP "Customers" TRANSPARENT
     @ 372,1003 LABEL Label_2 VALUE "" WIDTH 140 HEIGHT 043 ACTION MSGINFO("Suppliers")                   TOOLTIP "Suppliers" TRANSPARENT
     @ 435,1003 LABEL Label_3 VALUE "" WIDTH 140 HEIGHT 043 ACTION ( calendar()  , ANULAR_LABELBUTOO() )  TOOLTIP "Calendar"  TRANSPARENT
     @ 501,1003 LABEL Label_4 VALUE "" WIDTH 140 HEIGHT 043 ACTION ( ABOUT() , ANULAR_LABELBUTOO() )      TOOLTIP "About"     TRANSPARENT  
     @ 565,1003 LABEL Label_5 VALUE "" WIDTH 140 HEIGHT 043 ACTION Form_1.Release                         TOOLTIP "Exit"      TRANSPARENT
      
   END WINDOW 

*** MSGINFO("Expences") 

  SETWINDOWCURSOR ( Form_1.Label_1.Handle, "resource\finger.cur")

   CENTER WINDOW Form_1
   ACTIVATE WINDOW Form_1

return nil

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
 
*------------------------------------*
 Function OpenTables()
*------------------------------------*
 CLOSE DATABASES
 SELECT 1 
 USE CONTROL new
 INDEX ON NAME TO control 
 CLOSE DATABASES 
 USE CONTROL INDEX CONTROL 
 delete for code = 0
 pack
 RETURN

*------------------------------------*
 Function CloseTable()
*------------------------------------*
 
 USE

 RETURN

*------------------------------------*
 Function ANULAR_LABELBUTOO()
*------------------------------------*
      Form_1.Label_1.Enabled  := .F.  
      Form_1.Label_2.Enabled  := .F.    
      Form_1.Label_3.Enabled  := .F.   
      Form_1.Label_4.Enabled  := .F.  
      Form_1.Label_5.Enabled  := .F.

 RETURN 

*------------------------------------*
 Function ACTIVA_LABELBUTOO()
*------------------------------------*    
      Form_1.Label_1.Enabled  := .T.  
      Form_1.Label_2.Enabled  := .T.    
      Form_1.Label_3.Enabled  := .T.   
      Form_1.Label_4.Enabled  := .T.  
      Form_1.Label_5.Enabled  := .T. 
      
 RETURN 

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*
